namespace :data_snapshots do
  namespace :terraform_libvirt do
    desc 'Create a new data snapshot for a libvirt backend'
    task create: :environment do
      GovukGuix::CreateDataSnapshotJob.enqueue
    end
  end

  namespace :terraform_aws do
    desc 'Create a new data snapshot for a libvirt backend'
    task :create, [:backend_id] => :environment do |t, args|
      Backends::TerraformAws
        .find(args.backend_id)
        .create_data_snapshot
    end
  end
end
